package com.jeeplus.modules.workreimbursement.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workreimbursement.dao.WorkAccountDao;
import com.jeeplus.modules.workreimbursement.dao.WorkReimbursementDao;
import com.jeeplus.modules.workreimbursement.entity.WorkAccount;
import com.jeeplus.modules.workreimbursement.entity.WorkReimbursement;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 财务报销Service
 * @author mapengbo
 * @version 2017-1019
 */
@Service
@Transactional(readOnly = true)
public class WorkAccountService extends CrudService<WorkAccountDao, WorkAccount> {

    public WorkAccount get(String id) {
        return super.get(id);
    }

    public List<WorkAccount> findList(WorkAccount workAccount) {
        return super.findList(workAccount);
    }

    public Page<WorkAccount> findPage(Page<WorkAccount> page, WorkAccount workAccount) {
        return super.findPage(page, workAccount);
    }

    @Transactional(readOnly = false)
    public  void save(WorkAccount workAccount) {
        super.save(workAccount);
    }

    @Transactional(readOnly = false)
    public void delete(WorkAccount workAccount) {
        super.delete(workAccount);
    }
}
